com.trendmicro.ds.appcontrol.rest.api

## Interface IDecisionLogAPI

-     @Path(value="/decision-logs")
       @Produces(value="application/json")
       @Consumes(value="application/json")
      public interface IDecisionLogAPI

  Interface for retrieving Application Control Decision Logs and undo them.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DescribeDecisionLogResponse` | `describeDecisionLog(java.lang.String sessionID, java.lang.Long decisionLogID)` Get the Application Control decision log with the specified log ID.
    `ListDecisionLogDetailsResponse` | `describeDecisionLogDetails(java.lang.String sessionID, java.lang.Long decisionLogID, java.lang.Long startID, java.lang.Integer count)` Get the Application Control decision log details with the specified log ID and start and count.
    `ListDecisionLogsResponse` | `listDecisionLogs(java.lang.String sessionID, java.lang.Long decisionLogID, java.lang.String decisionLogIDOp, java.lang.String decisionLogUtcTime, java.lang.String decisionLogUtcTimeOp, java.lang.Integer maxItems)` Get Application Control Decision Logs.
    `void` | `undoDecisionLog(java.lang.String sessionID, java.lang.Long decisionLogID)` Undo the Application Control decision log with the specified log ID.

- - ### Method Detail

    - #### describeDecisionLog

          @GET
           @Path(value="/{decisionLogID}")
          DescribeDecisionLogResponse describeDecisionLog(@CookieParam(value="sID")
                                                                                                java.lang.String sessionID,
                                                                                                @PathParam(value="decisionLogID")
                                                                                                java.lang.Long decisionLogID)
                                                                                         throws java.lang.Exception

      Get the Application Control decision log with the specified log ID.
      Parameters:
        `decisionLogID` - the ID of the decision log to fetch.
        `sessionID` - a session ID returned by the Authentication API.
      Returns:
        a `DescribeDecisionLogResponse` containing the start and count for decision log details.
      Throws:
        `java.lang.Exception`

    - #### describeDecisionLogDetails

          @GET
           @Path(value="/{decisionLogID}/details")
          ListDecisionLogDetailsResponse describeDecisionLogDetails(@CookieParam(value="sID")
                                                                                                                  java.lang.String sessionID,
                                                                                                                  @PathParam(value="decisionLogID")
                                                                                                                  java.lang.Long decisionLogID,
                                                                                                                  @QueryParam(value="startID")
                                                                                                                  java.lang.Long startID,
                                                                                                                  @QueryParam(value="count")
                                                                                                                  java.lang.Integer count)
                                                                                                           throws java.lang.Exception

      Get the Application Control decision log details with the specified log ID and start and count.
      Parameters:
        `decisionLogID` - the ID of the decision log to fetch.
        `sessionID` - a session ID returned by the Authentication API.
        `startID` - a starting point for getting decision log details items.
        `count` - a number of return decision log details items
      Returns:
        a `ListDecisionLogDetailsResponse` containing the list of decision log details.
      Throws:
        `java.lang.Exception`

    - #### listDecisionLogs

          @GET
          ListDecisionLogsResponse listDecisionLogs(@CookieParam(value="sID")
                                                         java.lang.String sessionID,
                                                         @QueryParam(value="decisionLogID")
                                                         java.lang.Long decisionLogID,
                                                         @QueryParam(value="decisionLogIDOp")
                                                         java.lang.String decisionLogIDOp,
                                                         @QueryParam(value="decisionLogUtcTime")
                                                         java.lang.String decisionLogUtcTime,
                                                         @QueryParam(value="decisionLogUtcTimeOp")
                                                         java.lang.String decisionLogUtcTimeOp,
                                                         @QueryParam(value="maxItems")
                                                         java.lang.Integer maxItems)
                                                  throws java.lang.Exception

      Get Application Control Decision Logs.
      Parameters:
        `decisionLogID` - the decision log ID to query for decision Logs. Combined with decisionLogID, the returning decision Logs can be filtered according to the id.
        `decisionLogIDOp` - defined the decision logs to return. Currently supported operations include gt(greater than), ge(greater than or equal to), eq(equal to), lt(less than), and le(less than or equal to). If an unsupported operator is provided, the default is 'eq'.
        `decisionLogUtcTime` - the log time to query for decision logs. Combined with decisionLogIDOp, the returning logs can be filtered by the specific UTC time. The decisionLogUtcTime aligns ISO8601 standard, and the valid formats are yyyy-MM-dd'T'HH:mm:ss.SSS'Z' and yyyy-MM-dd'T'HH:mm:ss'Z'. Please be aware that for Application Control Decision Logs, the accuracy of log time is millisecond. In other words, SSS is a significant part if you want to exactly filter logs by log time.
        `decisionLogUtcTimeOp` - defined the logs to return. Currently supported operations include gt(greater than), ge(greater than or equal to), eq(eqaul to), lt(less than), and le(less than or equal to). If an unsupported operator is provided, the default is 'eq'.
        `maxItems` - the maximum number of decision logs to return
        `sessionID` - a session ID returned by the Authentication API.
      Returns:
        a ListDecisionLogsResponse containing a collection of the decision logs that meet the given criteria.
      Throws:
        `java.lang.Exception`

    - #### undoDecisionLog

          @POST
           @Path(value="/{decisionLogID}/undo")
          void undoDecisionLog(@CookieParam(value="sID")
                                                                           java.lang.String sessionID,
                                                                           @PathParam(value="decisionLogID")
                                                                           java.lang.Long decisionLogID)
                                                                    throws java.lang.Exception

      Undo the Application Control decision log with the specified log ID.
      Parameters:
        `decisionLogID` - the ID of the decision log to fetch.
        `sessionID` - a session ID returned by the Authentication API.
        `decisionLogID` - the decision log ID to query for decision Logs. Combined with decisionLogID, the returning decision Logs can be filtered according to the id.
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.